Change log for php-imagick package in Debian

125 of 25 results
Published in sid-release on 2019-08-08
php-imagick (3.4.4-1) unstable; urgency=medium

  * Add Pre-Depends on php-common >= 0.69~
  * New upstream version 3.4.4
  * Rebase patches for php-imagick 3.4.4

 -- Ondřej Surý <email address hidden>  Thu, 08 Aug 2019 08:28:35 +0200
Published in buster-release on 2019-06-11
Superseded in sid-release on 2019-08-09
php-imagick (3.4.3-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2019-11037. (Closes: #928420)

 -- Dominik George <email address hidden>  Thu, 06 Jun 2019 11:33:10 +0200
Superseded in buster-release on 2019-06-11
Superseded in sid-release on 2019-06-09
php-imagick (3.4.3-4) unstable; urgency=medium

  * Bump the required dh-php version to >= 0.33~

 -- Ondřej Surý <email address hidden>  Mon, 15 Oct 2018 19:08:12 +0000
Superseded in buster-release on 2018-10-21
Superseded in sid-release on 2018-10-16
php-imagick (3.4.3-1) unstable; urgency=medium

  * New upstream version 3.4.3
  * Update Vcs-* to salsa.d.o
  * Update maintainer email to <email address hidden>
  * Rebase patches for php-imagick 3.4.3

 -- Ondřej Surý <email address hidden>  Sun, 19 Aug 2018 12:30:09 +0000
Superseded in buster-release on 2018-08-24
Superseded in sid-release on 2018-08-19
php-imagick (3.4.3~rc2-2.1) unstable; urgency=medium

  * Non-maintainer upload. (On behalf of the Debian Edu team).
    Reason: gosa got removed from Debian testing due to the
    below RC bug in this package.

  * debian/control:
    + Move Ondřej Surý from Uploaders: to Maintainer: field.
      (Closes: #899805). This is a temporary work-around and should
      get re-addressed by the PHP/PECL Debian team.

 -- Mike Gabriel <email address hidden>  Thu, 19 Jul 2018 15:46:21 +0200
Superseded in buster-release on 2018-07-26
Published in stretch-release on 2017-02-04
Superseded in sid-release on 2019-06-04
php-imagick (3.4.3~rc2-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update debian/tests/control (from Ubuntu) (Closes: #816724)

 -- Ondřej Surý <email address hidden>  Tue, 24 Jan 2017 12:47:41 +0100
Superseded in sid-release on 2017-01-24
php-imagick (3.4.3~rc2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Have d/tests/control depend on imagemagick-6.q16 and its recommends

  [ Ondřej Surý ]
  * New upstream version 3.4.3~rc2
  * Rebase patches on top of 3.4.3~rc2

 -- Ondřej Surý <email address hidden>  Mon, 23 Jan 2017 10:22:26 +0100
Superseded in stretch-release on 2017-02-04
Superseded in sid-release on 2017-01-25
php-imagick (3.4.3~rc1-4) unstable; urgency=medium

  * Use $LIBS instead of $LDFLAGS when searching for MagickWand symbols
  * Reinstate --as-needed as this was fixed in php-imagick

 -- Ondřej Surý <email address hidden>  Thu, 15 Dec 2016 16:06:27 +0100
Superseded in stretch-release on 2016-12-26
Superseded in sid-release on 2016-12-15
php-imagick (3.4.3~rc1-1) unstable; urgency=medium

  * Skip Imagick version check by default -- re-enable with
    'imagick.skip_version_check = false' (Closes: #842658)
  * Imported Upstream version 3.4.3~rc1 (stable)
  * Rebase patches on top of 3.4.3~rc1 release

 -- Ondřej Surý <email address hidden>  Tue, 01 Nov 2016 09:00:36 +0100
Superseded in stretch-release on 2016-11-07
Superseded in sid-release on 2016-11-01
php-imagick (3.4.2-2) unstable; urgency=medium

  * Move the default makefile snippet to dh-php and use a simple d/rules
    with dh-php >= 0.12~

 -- Ondřej Surý <email address hidden>  Fri, 29 Apr 2016 11:17:33 +0200
Superseded in sid-release on 2016-05-03
php-imagick (3.4.2-1) unstable; urgency=medium

  * gbp.conf back at master/pristine-tar/upstream
  * Improve d/rules so it can be used with both single or multiple PECL
    upstream versions, controlled by looking for package-MAJOR.MINOR.xml,
    package-MAJOR.xml and package.xml in this order
  * Imported Upstream version 3.4.2
  * Adjust version number in the font path patch

 -- Ondřej Surý <email address hidden>  Thu, 28 Apr 2016 13:39:48 +0200
Superseded in stretch-release on 2016-05-08
Superseded in sid-release on 2016-04-29
php-imagick (3.4.0-1) unstable; urgency=medium

  * Imported Upstream version 3.4.0
  * Fix failures in autopkgtests (LP: #1549942)
    - d/tests/control: run phpunit from tests/ subdirectory to pick up
      the SKIP helper.
    - d/tests/control: limit imagemagick to 1 thread to avoid openmp
      related segfaults.
    - d/tests/control: add gsfonts and libmagickcore-6.q16-2-extra as
      test dependencies.

 -- Ondřej Surý <email address hidden>  Mon, 07 Mar 2016 12:47:48 +0100
Superseded in sid-release on 2016-03-08
php-imagick (3.4.0~rc6-2) unstable; urgency=medium

  * Force rebuild with dh_php >= 0.7

 -- Ondřej Surý <email address hidden>  Mon, 29 Feb 2016 22:16:55 +0100
Superseded in stretch-release on 2016-03-25
Superseded in sid-release on 2016-03-02
php-imagick (3.4.0~rc6-1) unstable; urgency=medium

  * Imported Upstream version 3.4.0~rc6
  * Update patch to 3.4.0~rc6 release
  * Add License for Anonymous Pro Minus font included in tests

 -- Ondřej Surý <email address hidden>  Tue, 16 Feb 2016 11:03:29 +0100
Superseded in stretch-release on 2016-10-10
Superseded in stretch-release on 2016-03-22
Superseded in sid-release on 2016-11-28
php-imagick (3.3.0~rc2-1) unstable; urgency=medium

  * New upstream release
  * Tests: Use phpunit instead of relying on build generated run-test.php

 -- Guillaume Delacour <email address hidden>  Sun, 14 Jun 2015 18:43:17 +0000

Available diffs

Superseded in stretch-release on 2015-06-23
Superseded in sid-release on 2015-06-19
php-imagick (3.3.0~rc1-1) unstable; urgency=medium

  * New upstream release
    + drop debian/patches/imagick_count_php_5.6.patch
    + drop debian/patches/imagemagick_pkgconfig_detection.patch
  * debian/tests: Execute upstream test suite
  * debian/rules: failed test removal no more needed

 -- Guillaume Delacour <email address hidden>  Tue, 26 May 2015 02:26:30 +0200
Superseded in stretch-release on 2015-06-06
Published in jessie-release on 2014-11-01
Superseded in sid-release on 2015-06-01
php-imagick (3.2.0~rc1-1) unstable; urgency=medium


  * New upstream release, drop 002-use-pkgconfig-for-imagemagick as upstream
    has changed the detection of imagemagick by using pkg-config
  * Depends ${phppear:Debian-Depends} and Recommend ${phppear:Debian-Recommends}
    drop unused ucf and obsolete ${php5:Depends} in Build-Depends
  * Use ${phppear:summary} and ${phppear:description} for debian/control
    corresponding fields
  * Cherry-pick fix (with minor changes) for Imagick::count() with
    PHP >= 5.6.0RC2 in debian/patches/imagick_count_php_5.6.patch
  * Remove /etc/php5/conf.d/imagick.ini in {pre,post}inst and prerm
    (LP: #1017908, #1066230, #1264207)
  * Bump to Standards-Version 3.9.6
  * debian/rules: remove test/*.sh failed tests to re-build the package
    (see debian/TODO)
  * Update maintainer to PHP PECL Maintainers list
  * Build-Depends on libmagickwand-6.q16-dev to replace libmagickwand-dev
    transition package and use pkgconfig for version detection instead of
    Wand-config shell script

 -- Guillaume Delacour <email address hidden>  Thu, 09 Oct 2014 22:56:11 +0200

Available diffs

Superseded in jessie-release on 2014-11-01
Superseded in sid-release on 2014-10-22
php-imagick (3.1.2-1.1) unstable; urgency=medium


  * NMU
  * Fix FTBFS with newer imagemagick. Will ease imagemagick
    transition. Use pkgconfig instead of hardcoding path in
    config script (Closes: #747857)

 -- Bastien Roucariès <email address hidden>  Wed, 06 Aug 2014 08:48:06 +0200
Superseded in jessie-release on 2014-08-15
Superseded in sid-release on 2014-08-10
php-imagick (3.1.2-1) unstable; urgency=low


  * New upstream release

 -- Lior Kaplan <email address hidden>  Tue, 01 Oct 2013 14:19:06 +0200

Available diffs

Superseded in jessie-release on 2013-10-12
Superseded in sid-release on 2013-10-02
php-imagick (3.1.0-1) unstable; urgency=low


  * New upstream release
  * Update maintainer to PHP PEAR Maintainers list (Closes: #656977)

 -- Lior Kaplan <email address hidden>  Wed, 18 Sep 2013 10:12:55 +0200
Superseded in jessie-release on 2013-09-30
Superseded in sid-release on 2013-09-20
php-imagick (3.1.0~rc2-1) unstable; urgency=low


  * Disable ltmain.sh patch since it cannot be applied cleanly on all Ubuntus
  * Update patches to RC2
  * Update imagick to use dh_php5 and dh_phppear (Closes: #717214)
  * Imported Upstream version 3.1.0~rc2

 -- Ondřej Surý <email address hidden>  Thu, 18 Jul 2013 15:24:47 +0200
Superseded in jessie-release on 2013-08-02
Published in wheezy-release on 2012-01-21
Superseded in sid-release on 2013-07-18
php-imagick (3.1.0~rc1-1) unstable; urgency=low


  [ Guillaume Delacour ]
  * New upstream release
  * debian/control: Add Vcs-{Browser,Git} field, point to pkg-php git repo
  * debian/rules: export LDFLAGS and refresh ltmain.sh.patch
    to pass -Wl,--as-needed flag to linker at right place (Closes: #652200)
  [ Thomas Goirand ]
  * Made examples work if the added Recommends: are installed.

 -- Guillaume Delacour <email address hidden>  Wed, 28 Dec 2011 15:30:14 +0100
Superseded in wheezy-release on 2012-01-21
Superseded in sid-release on 2012-01-11
php-imagick (3.0.1-1) unstable; urgency=low
  * New upstream release  * Bump to Standards-Version 3.9.2 (no changes needed)  * debian/rules: delete "touch examples/ and CREDITS" to update timestamp    (fixed upstream) -- Guillaume Delacour <email address hidden>  Wed, 04 May 2011 22:26:04 +0200
Superseded in wheezy-release on 2011-09-21
Published in squeeze-release on 2010-06-12
Superseded in sid-release on 2011-09-20
php-imagick (3.0.0~rc1-1) unstable; urgency=low


  * New upstream release (Closes: #524863, #570649, #573139)
  * New maintainer (Closes: #530621)
  * Change Build-Depends from libmagick9-dev to libmagickwand-dev
    (Thanks Ivan Borzenkov)
  * debian/rules:
    + Rewrite php5 oriented only, work in progress to adapt multi php version
    + Remove tarball mode rules
    + Fix generated path of debian/post{inst,rm} in clean rule
    + Delete "--with-regex" and "--disable-rpath" options (enabled by default)
      in configure call (unrecognized options)
    + Delete lintian override (no-shlibs-control-file)
    + Touch examples/ and CREDITS in upstream tarball
      (lintian package-contains-ancient-file rule)
    + Delete unnecessary patch rule
    + phpize5 --clean is now called in clean rule
    + Set CFLAGS to -Wl,--as-needed, to not link against some libX11
  * Bump to Standards-Version 3.8.4 (move section from web to php)
  * Bump to compatibility 7 in debian/{control,compat}
  * debian/phpX-imagick.post{inst,rm}:
    + add "set -e" (instead of "#!/bin/sh -e")
    + comment loading on remove (Closes: #498150)
    (Thanks Ivan Borzenkov)
  * debian/imagick.ini: change comment style from "#" to ";"
    (Closes: #563433, #566970, thanks Thijs Kinkhorst)
  * debian/{changelog,copyright}: suppress unnecessary spaces
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/watch: mangle version according Debian Policy 5.6.12
  * debian/ltmain.patch: Patch to reorder linker argument after phpize
    (From BTS#347650)

 -- Guillaume Delacour <email address hidden>  Tue, 09 Mar 2010 17:58:50 +0000
Superseded in sid-release on 2011-09-20
Superseded in squeeze-release on 2011-09-13
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
Published in lenny-release on 2008-10-29
php-imagick (2.1.1RC1-1) unstable; urgency=low


  * New upstream release
  * Added Depends ${shlibs:Depends}, now it put libmagick* dependence.
    (Closes: #459874)

 -- Jose Carlos Medeiros <email address hidden>  Tue, 25 Mar 2008 02:02:54 -0300
125 of 25 results